/*
 ************************************************************************************************
 *                                                                                              *
 *  OSA cooperative RTOS for Microchip PIC-controllers: PIC10/12/16/18/24/dsPIC                 *
 *                                                                                              *
 *  OSA is distributed under BSD license (see license.txt)                                      *
 *                                                                                              *
 *  URL:            http://wiki.pic24.ru/doku.php/en/osa/ref/intro                              *
 *                  http://picosa.narod.ru                                                      *
 *                                                                                              *
 *----------------------------------------------------------------------------------------------*
 *                                                                                              *
 *  File:           osa_ftimer.h                                                                *    
 *                                                                                              *
 *  Programmer:     Timofeev Victor                                                             *
 *                  osa@pic24.ru, testerplus@mail.ru                                            *
 *                                                                                              *
 *  Description:    Fast dynamic timers.                                                        *
 *                                                                                              *
 *  History:        18.07.2009 -    File created                                                *
 *                                                                                              *
 ************************************************************************************************
 */


#define OST_FTIMER      OST_DTIMER
#define _OST_FTIMER     _OST_DTIMER
#define OST_FTIMER_CB   OST_DTIMER_CB



#define OS_Ftimer_Add(ftimer, time)		    \
    {                                       \
    	(ftimer).Timer = -time;				\
    	_OS_Ftimer_Add(&(ftimer));			\
    }





